"use strict";
const path = require('path');
const HtmlWebPackPlugin = require('html-webpack-plugin');
module.exports = {
    mode: process.env.NODE_ENV === 'production' ? 'production' : 'development',
    entry: {
        app: path.join(__dirname, 'index.tsx'),
    },
    resolve: {
        extensions: ['.ts', '.js', '.tsx', '.jsx']
    },
    devtool: 'source-map',
    output: {
        globalObject: 'self',
        filename: '[name].bundle.js',
        path: path.resolve(__dirname, '../../../lib/web/traceViewer')
    },
    module: {
        rules: [
            {
                test: /\.(j|t)sx?$/,
                use: 'ts-loader',
                exclude: /node_modules/
            },
            {
                test: /\.css$/,
                use: ['style-loader', 'css-loader']
            },
            {
                test: /\.ttf$/,
                use: ['file-loader']
            }
        ]
    },
    plugins: [
        new HtmlWebPackPlugin({
            title: 'Playwright Trace Viewer',
            template: path.join(__dirname, 'index.html'),
        })
    ]
};
//# sourceMappingURL=webpack.config.js.map